%define upstream_name    HTML-HTML5-Entities
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Drop-in replacement for HTML::Entities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.610.0
BuildArch:  noarch

%description
This is a drop-in replacement for the HTML::Entities manpage, providing the
character entities defined in HTML5. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-5.mga8
+ Revision: 1494879
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-4.mga7
+ Revision: 1268490
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1028229
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 966259
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.4.0-1.mga6
+ Revision: 843170
- update to 0.004

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-6.mga5
+ Revision: 741923
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 684942
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-4.mga4
+ Revision: 511971
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-3.mga3
+ Revision: 368027
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 27 2012 kharec <kharec> 0.3.0-2.mga3
+ Revision: 264348
- fix description (thanks tv)

* Wed Jun 27 2012 kharec <kharec> 0.3.0-1.mga3
+ Revision: 264328
- update to 0.003

* Tue Feb 21 2012 kharec <kharec> 0.2.0-1.mga2
+ Revision: 211649
- update to 0.002

* Wed Dec 07 2011 kharec <kharec> 0.1.0-1.mga2
+ Revision: 178283
- imported package perl-HTML-HTML5-Entities


* Wed Dec 07 2011 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
